Subject: bug#41276: Acknowledgement ([PATCH 0/9] Various small improvements to EasyPG)

From: Jonas Bernoulli <[email-masked]>
Date: Sat, 16 May 2020 00:42:26 +0200

Eli Zaretskii <[email-masked]> writes:
> You need to keep in mind how these are used: they are copied into the
> ChangeLog file we generate when we are about to release a new Emacs
> version.  So if the header line is followed by a series of
> ChangeLog-formatted entries, it should not end in a period, but when
> the header line is _itself_ a ChangeLog-formatted entry, then it
> should follow the ChangeLog rules, which is that every entry shall end
> in a period.  IOW, the second rule in this case overrides the first.

We are in agreement.  We numbered the rules differently, which resulted
in some confusion.

How do you feel about my suggestion to clarify one of the rules like so?

-- If only a single file is changed, the summary line can be the normal
-  file first line (starting with the asterisk).  Then there is no
-  individual files section.
+- If only a single file is changed, then the first (and in this case
+  only) file entry can at the same time serve as the summary line,
+  provided that this entry fits on a single line.  In this case the
+  summary should begin with an asterisk and end with a period, like
+  all file entries always do.

The "provided that the entry fits on a single line" addresses the next
concern you raised.

> And while we are at that: please don't follow examples like this:
>
>    * foobarbz/barfooquux/baz.xx (some_long_function_name):
>
>    Fix this and that.